App::Cme::Command::edit(3pm)

NAME
App::Cme::Command::edit - Edit the configuration of an application

VERSION
version 1.044

SYNOPSIS
  # edit dpkg config with GUI (requires Config::Model::Dpkg)
  cme edit dpkg

  # force usage of simple shell like interface
  cme edit dpkg-copyright --ui shell

  # edit /etc/sshd_config (requires Config::Model::OpenSsh)
  sudo cme edit sshd

  # edit ~/.ssh/config (requires Config::Model::OpenSsh)
  cme edit ssh

DESCRIPTION
Edit a configuration. By default, a Tk GUI will be opened if "Config::Model::TkUI" is installed. You can choose another user interface with the "-ui" option:

•   "tk": provides a Tk graphical interface (If "Config::Model::TkUI" is installed).

•   "curses": provides a curses user interface (If Config::Model::CursesUI is installed).

•   "shell": provides a shell like interface. See Config::Model::TermUI for details. This is equivalent to running "cme shell" command.

Common options
See "Global Options" in cme.

options

-open-item
    Open a specific item of the configuration when opening the editor. Trying to open a non-existing item triggers an error.

SEE ALSO
cme

AUTHOR
Dominique Dumont

COPYRIGHT AND LICENSE
This software is Copyright (c) 2014-2022 by Dominique Dumont <ddumont@cpan.org>.

This is free software, licensed under:

  The GNU Lesser General Public License, Version 2.1, February 1999